Debian Bug report logs - #463410
heimdal: ldap_get_values implicitly converted to pointer

version graph

Package: heimdal; Maintainer for heimdal is Brian May <bam@debian.org>;

Reported by: dann frazier <dannf@debian.org>

Date: Thu, 31 Jan 2008 14:36:02 UTC

Severity: serious

Tags: patch

Found in version 1.0.1-5

Fixed in version heimdal/1.1-1

Done: Brian May <bam@snoopy.debian.net>

Bug is archived. No further changes may be made.

Forwarded to heimdal-bugs@h5l.se

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>:
Bug#463410; Package heimdal. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Brian May <bam@snoopy.debian.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: heimdal: ldap_get_values implicitly converted to pointer
Date: Thu, 31 Jan 2008 07:33:18 -0700
[Message part 1 (text/plain, inline)]
Package: heimdal
Version: 1.0.1-5
Severity: important
Tags: patch
Usertags: implicit-pointer-conversion

Our automated buildd log filter[1] detected a problem that is likely to
cause your package to segfault on architectures where the size of a
pointer is greater than the size of an integer, such as ia64 and amd64.

This is often due to a missing function prototype definition.
For more information, see [2].

[1] http://people.debian.org/~dannf/check-implicit-pointer-functions
[2] http://wiki.debian.org/ImplicitPointerConversions

  Function `ldap_get_values' implicitly converted to pointer at hdb-ldap.c:313

The libldap API has been updated and many functions used by the ldap
plugin are now deprecated. This package should either update to the
new API or define LDAP_DEPRECATED to continue using the deprecated
interfaces.

This patch implements the lazy solution.

--- heimdal-1.0.1/lib/hdb/hdb-ldap.c~	2007-08-09 01:47:05.000000000 -0600
+++ heimdal-1.0.1/lib/hdb/hdb-ldap.c	2008-01-31 07:30:43.000000000 -0700
@@ -39,6 +39,7 @@
 #ifdef OPENLDAP
 
 #include <lber.h>
+#define LDAP_DEPRECATED 1
 #include <ldap.h>
 #include <sys/un.h>
 #include <hex.h>

-- 
dann frazier

[Message part 2 (message/rfc822, inline)]
From: buildd@excelsior.roeckx.be (Build Daemon)
To: undisclosed-recipients: ;
Subject: Log for successful build of heimdal_1.0.1-5+b1 (dist=unstable)
Date: Fri, 25 Jan 2008 14:52:09 +0000 (GMT)
Function `ldap_get_values' implicitly converted to pointer at hdb-ldap.c:313

Severity set to `serious' from `important' Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2008 03:24:05 GMT) Full text and rfc822 format available.

Reply sent to Brian May <bam@snoopy.debian.net>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #10 received at 463410-forwarded@bugs.debian.org (full text, mbox):

From: Brian May <bam@snoopy.debian.net>
To: heimdal-bugs@h5l.se
Cc: 463410-forwarded@bugs.debian.org
Subject: heimdal: ldap_get_values implicitly converted to pointer
Date: Mon, 11 Feb 2008 15:34:44 +1100
Copied from http://bugs.debian.org/463410:

Our automated buildd log filter[1] detected a problem that is likely to
cause your package to segfault on architectures where the size of a
pointer is greater than the size of an integer, such as ia64 and amd64.

Please see the above URL for more details.

Thanks.
-- 
Brian May <bam@snoopy.debian.net>




Message #11 received at 463410-forwarded@bugs.debian.org (full text, mbox):

From: Love Hörnquist Åstrand <lha@kth.se>
To: Brian May <bam@snoopy.debian.net>
Cc: heimdal-bugs@h5l.se, 463410-forwarded@bugs.debian.org
Subject: Re: [Heimdal-bugs] heimdal: ldap_get_values implicitly converted to pointer
Date: Mon, 11 Feb 2008 22:48:41 +0100
11 feb 2008 kl. 05.34 skrev Brian May:

> Copied from http://bugs.debian.org/463410:
>
> Our automated buildd log filter[1] detected a problem that is likely  
> to
> cause your package to segfault on architectures where the size of a
> pointer is greater than the size of an integer, such as ia64 and  
> amd64.
>
> Please see the above URL for more details.

http://loka.it.su.se/fisheye/browse/heimdal/trunk/heimdal/lib/hdb/hdb-ldap.c?r1=22586&r2=22588

Love






Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>:
Bug#463410; Package heimdal. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>. Full text and rfc822 format available.

Message #16 received at 463410@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 463359@bugs.debian.org, 463361@bugs.debian.org, 463364@bugs.debian.org, 463365@bugs.debian.org, 463369@bugs.debian.org, 463372@bugs.debian.org, 463411@bugs.debian.org, 463322@bugs.debian.org, 463410@bugs.debian.org, 463368@bugs.debian.org, 463362@bugs.debian.org
Cc: control@bugs.debian.org
Subject: intend to NMU
Date: Mon, 3 Mar 2008 17:58:34 -0700
usertag 463322 + intend-to-nmu
usertag 463359 + intend-to-nmu
usertag 463361 + intend-to-nmu
usertag 463362 + intend-to-nmu
usertag 463364 + intend-to-nmu
usertag 463365 + intend-to-nmu
usertag 463368 + intend-to-nmu
usertag 463369 + intend-to-nmu
usertag 463372 + intend-to-nmu
usertag 463410 + intend-to-nmu
usertag 463411 + intend-to-nmu
thanks

hey,
  As these bugs have been open with a patch for over a month and
without a rejection from the maintainer, I intend to NMU the
associated package in a week's time (or sooner, if requested by the
maintainer).

If you do not wish for this NMU to occur, please send a follow-up in
the bug report stating as such or, better yet, fix it in an MU :)

Unless you request otherwise, any NMUs I upload will be to the DELAYED
queue, so you will have an additional week to supersede my upload with
an MU to prevent it from entering unstable.

-- 
dann frazier





Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 04 Mar 2008 11:06:03 GMT) Full text and rfc822 format available.

Reply sent to Brian May <bam@snoopy.debian.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 463410-close@bugs.debian.org (full text, mbox):

From: Brian May <bam@snoopy.debian.net>
To: 463410-close@bugs.debian.org
Subject: Bug#463410: fixed in heimdal 1.1-1
Date: Tue, 04 Mar 2008 22:51:46 +0000
Source: heimdal
Source-Version: 1.1-1

We believe that the bug you reported is fixed in the latest version of
heimdal, which is due to be installed in the Debian FTP archive:

heimdal-clients-x_1.1-1_i386.deb
  to pool/main/h/heimdal/heimdal-clients-x_1.1-1_i386.deb
heimdal-clients_1.1-1_i386.deb
  to pool/main/h/heimdal/heimdal-clients_1.1-1_i386.deb
heimdal-dev_1.1-1_i386.deb
  to pool/main/h/heimdal/heimdal-dev_1.1-1_i386.deb
heimdal-docs_1.1-1_all.deb
  to pool/main/h/heimdal/heimdal-docs_1.1-1_all.deb
heimdal-kcm_1.1-1_i386.deb
  to pool/main/h/heimdal/heimdal-kcm_1.1-1_i386.deb
heimdal-kdc_1.1-1_i386.deb
  to pool/main/h/heimdal/heimdal-kdc_1.1-1_i386.deb
heimdal-servers-x_1.1-1_i386.deb
  to pool/main/h/heimdal/heimdal-servers-x_1.1-1_i386.deb
heimdal-servers_1.1-1_i386.deb
  to pool/main/h/heimdal/heimdal-servers_1.1-1_i386.deb
heimdal_1.1-1.diff.gz
  to pool/main/h/heimdal/heimdal_1.1-1.diff.gz
heimdal_1.1-1.dsc
  to pool/main/h/heimdal/heimdal_1.1-1.dsc
heimdal_1.1.orig.tar.gz
  to pool/main/h/heimdal/heimdal_1.1.orig.tar.gz
libasn1-8-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libasn1-8-heimdal_1.1-1_i386.deb
libgssapi2-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libgssapi2-heimdal_1.1-1_i386.deb
libhdb9-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libhdb9-heimdal_1.1-1_i386.deb
libheimntlm0-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libheimntlm0-heimdal_1.1-1_i386.deb
libhx509-3-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libhx509-3-heimdal_1.1-1_i386.deb
libkadm5clnt7-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libkadm5clnt7-heimdal_1.1-1_i386.deb
libkadm5srv8-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libkadm5srv8-heimdal_1.1-1_i386.deb
libkafs0-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libkafs0-heimdal_1.1-1_i386.deb
libkdc2-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libkdc2-heimdal_1.1-1_i386.deb
libkrb5-24-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libkrb5-24-heimdal_1.1-1_i386.deb
libotp0-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libotp0-heimdal_1.1-1_i386.deb
libroken18-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libroken18-heimdal_1.1-1_i386.deb
libsl0-heimdal_1.1-1_i386.deb
  to pool/main/h/heimdal/libsl0-heimdal_1.1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463410@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brian May <bam@snoopy.debian.net> (supplier of updated heimdal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 29 Feb 2008 11:05:18 +1100
Source: heimdal
Binary: heimdal-docs heimdal-kdc heimdal-dev heimdal-clients-x heimdal-clients heimdal-kcm heimdal-servers-x heimdal-servers libasn1-8-heimdal libkrb5-24-heimdal libhdb9-heimdal libkadm5srv8-heimdal libkadm5clnt7-heimdal libgssapi2-heimdal libkafs0-heimdal libroken18-heimdal libotp0-heimdal libsl0-heimdal libkdc2-heimdal libhx509-3-heimdal libheimntlm0-heimdal
Architecture: source all i386
Version: 1.1-1
Distribution: unstable
Urgency: low
Maintainer: Brian May <bam@snoopy.debian.net>
Changed-By: Brian May <bam@snoopy.debian.net>
Description: 
 heimdal-clients - Heimdal Kerberos - clients
 heimdal-clients-x - Heimdal Kerberos - X11 client programs
 heimdal-dev - Heimdal Kerberos - development files
 heimdal-docs - Heimdal Kerberos - documentation
 heimdal-kcm - Heimdal Kerberos - KCM daemon
 heimdal-kdc - Heimdal Kerberos - key distribution center (KDC)
 heimdal-servers - Heimdal Kerberos - server programs
 heimdal-servers-x - Heimdal Kerberos - X11 server programs
 libasn1-8-heimdal - Heimdal Kerberos - ASN.1 library
 libgssapi2-heimdal - Heimdal Kerberos - GSSAPI support library
 libhdb9-heimdal - Heimdal Kerberos - kadmin server library
 libheimntlm0-heimdal - Heimdal Kerberos - NTLM support library
 libhx509-3-heimdal - Heimdal Kerberos - X509 support library
 libkadm5clnt7-heimdal - Heimdal Kerberos - kadmin client library
 libkadm5srv8-heimdal - Libraries for Heimdal Kerberos
 libkafs0-heimdal - Heimdal Kerberos - KAFS support library
 libkdc2-heimdal - Heimdal Kerberos - KDC support library
 libkrb5-24-heimdal - Heimdal Kerberos - libraries
 libotp0-heimdal - Heimdal Kerberos - OTP support library
 libroken18-heimdal - Heimdal Kerberos - roken support library
 libsl0-heimdal - Heimdal Kerberos - SL support library
Closes: 455024 463410 468189
Changes: 
 heimdal (1.1-1) unstable; urgency=low
 .
   * New upstream release.
   * Apply patch from upstream to fix pointer conversion in LDAP,
     closes: #463410.
   * Add missing ldap schema file, closes: #455024.
   * Add LSB formatted dependency info into init.d scripts,
     closes: #468189.
Files: 
 37e5237239c41050cbe61ef93507501e 1160 net optional heimdal_1.1-1.dsc
 7892e97b346534cc9afeeee461fe3bab 3622005 net optional heimdal_1.1.orig.tar.gz
 d324f88fc66c7765acf2634df67cec8c 142337 net optional heimdal_1.1-1.diff.gz
 77de117538cf73b0e652e33fddfdaccd 91002 doc extra heimdal-docs_1.1-1_all.deb
 cc11d345bef70d14ad09e81ed64de8a5 108440 net extra heimdal-kdc_1.1-1_i386.deb
 b2911ae10057adb911b399f5631e1ace 1080058 devel extra heimdal-dev_1.1-1_i386.deb
 f4f587251cce43a6270f25a41f24a59a 61064 net extra heimdal-clients-x_1.1-1_i386.deb
 7dcc5363e1e173141b501b0a16789e3e 270902 net extra heimdal-clients_1.1-1_i386.deb
 649a2ddd7466934b2635657b82c2b0d5 51174 net extra heimdal-kcm_1.1-1_i386.deb
 a1696e39409a349e04b6b0ca67ad7d1b 42546 net extra heimdal-servers-x_1.1-1_i386.deb
 4db31fcc9f5e8e32a3061a2126ba6e8b 156918 net extra heimdal-servers_1.1-1_i386.deb
 45211a035d16fe75a0191f4a21311fd6 200062 libs optional libasn1-8-heimdal_1.1-1_i386.deb
 09b092e9238085c3f9a970e4b2f94292 195334 libs optional libkrb5-24-heimdal_1.1-1_i386.deb
 48d2563ce5235fe7c5133393f880b6d4 73606 libs optional libhdb9-heimdal_1.1-1_i386.deb
 2ff17c2a8bebfd207e0a1920ce2901b4 51202 libs optional libkadm5srv8-heimdal_1.1-1_i386.deb
 5f0554261fb78d67b3d6177fd916c5ee 41860 libs optional libkadm5clnt7-heimdal_1.1-1_i386.deb
 69a94dfa69fe36eee4c95f1a2db1ffbe 101518 libs optional libgssapi2-heimdal_1.1-1_i386.deb
 b704acfbeedd5f31a6bc04bfd942b81e 40182 libs extra libkafs0-heimdal_1.1-1_i386.deb
 35a47f064126f8ec83f0622b380d63f5 63280 libs extra libroken18-heimdal_1.1-1_i386.deb
 9a8f1620ffdcbc7deeb6aeec4b927b7f 63658 libs extra libotp0-heimdal_1.1-1_i386.deb
 0e294498720298a670060a5905d6d8be 35968 libs extra libsl0-heimdal_1.1-1_i386.deb
 2ca566ceb9c831f31ae78dd8ef59023a 86900 libs extra libkdc2-heimdal_1.1-1_i386.deb
 99616a1fb531c9ba63d8034e65bc21e8 123356 libs extra libhx509-3-heimdal_1.1-1_i386.deb
 df5c98601af9ada74ce7627b2d20e996 36028 libs extra libheimntlm0-heimdal_1.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHzNBXuCinHABTDCQRAqeYAJ9eR84sKsXAfGs7JbzRNsssjgCGSwCdHWNq
TkJn/3LnAMhObCnbLSVTXSY=
=AAOK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 May 2008 07:38:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:24:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.